## com.imcode.imcms.api
Class Meta

    java.lang.Object
      com.imcode.imcms.api.Meta

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Meta

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Document meta.

See Also:
  Serialized Form

Nested Class Summary
`static class` `Meta.PermisionSetEx` Create (create only!) permission for template or a document type.
`static class` `Meta.UnavailableI18nDataSubstitution` Document content show mode for disabled translation.

Constructor Summary
`Meta()`

Method Summary
`Meta` `clone()`
`java.lang.Integer` `getActivate()`
`java.util.Date` `getActualModifiedDatetime()`
`java.util.Date` `getArchivedDatetime()`
`java.util.Set<java.lang.Integer>` `getCategoryIds()`
`java.util.Date` `getCreatedDatetime()`
`java.lang.Integer` `getCreatorId()`
`java.lang.Integer` `getDocumentType()`
`I18nMeta` `getI18nMeta(I18nLanguage language)`
`java.util.Set<I18nMeta>` `getI18nMetas()`
`Meta.UnavailableI18nDataSubstitution` `getI18nShowMode()`
`java.lang.Integer` `getId()`
`java.lang.String` `getLanguageIso639_2()`
`java.lang.Boolean` `getLinkableByOtherUsers()`
`java.lang.Boolean` `getLinkedForUnauthorizedUsers()`
`java.util.Date` `getModifiedDatetime()`
`java.util.Set<Meta.PermisionSetEx>` `getPermisionSetEx()`
`java.util.Set<Meta.PermisionSetEx>` `getPermisionSetExForNew()`
`java.util.Map<java.lang.Integer,java.lang.Integer>` `getPermissionSetBitsForNewMap()`
`java.util.Map<java.lang.Integer,java.lang.Integer>` `getPermissionSetBitsMap()`
`java.util.Map<java.lang.String,java.lang.String>` `getProperties()`
`java.util.Date` `getPublicationEndDatetime()`
`java.util.Date` `getPublicationStartDatetime()`
`java.lang.Integer` `getPublicationStatusInt()`
`java.lang.Integer` `getPublisherId()`
`java.lang.Boolean` `getRestrictedOneMorePrivilegedThanRestrictedTwo()`
`java.util.Map<java.lang.Integer,java.lang.Integer>` `getRoleIdToPermissionSetIdMap()`
`java.lang.Boolean` `getSearchDisabled()`
`java.util.Set<java.lang.Integer>` `getSectionIds()`
`boolean` `getShowDisabledI18nDataInDefaultLanguage()` Deprecated.
`java.lang.String` `getTarget()`
`Meta.UnavailableI18nDataSubstitution` `getUnavailableI18nDataSubstitution()` Deprecated.
`DocumentVersion` `getVersion()`
`void` `initI18nMetaMapping()` Initializes language to i18n meta mapping.
`boolean` `isShowDisabledI18nContentInDefaultLanguage()`
`void` `setActivate(java.lang.Integer activate)`
`void` `setActualModifiedDatetime(java.util.Date actualModifiedDatetime)`
`void` `setArchivedDatetime(java.util.Date archivedDatetime)`
`void` `setCategoryIds(java.util.Set<java.lang.Integer> categoryIds)`
`void` `setCreatedDatetime(java.util.Date createdDatetime)`
`void` `setCreatorId(java.lang.Integer creatorId)`
`void` `setDocumentType(java.lang.Integer documentType)`
`void` `setI18nMetas(java.util.Set<I18nMeta> i18nMetas)`
`void` `setI18nShowMode(Meta.UnavailableI18nDataSubstitution unavailableI18nDataSubstitution)`
`void` `setId(java.lang.Integer id)`
`void` `setLanguageIso639_2(java.lang.String languageIso639_2)`
`void` `setLinkableByOtherUsers(java.lang.Boolean linkableByOtherUsers)`
`void` `setLinkedForUnauthorizedUsers(java.lang.Boolean linkedForUnauthorizedUsers)`
`void` `setModifiedDatetime(java.util.Date modifiedDatetime)`
`void` `setPermisionSetEx(java.util.Set<Meta.PermisionSetEx> permisionSetEx)`
`void` `setPermisionSetExForNew(java.util.Set<Meta.PermisionSetEx> docPermisionSetExForNew)`
`void` `setPermissionSetBitsForNewMap(java.util.Map<java.lang.Integer,java.lang.Integer> permissionSetBitsForNew)`
`void` `setPermissionSetBitsMap(java.util.Map<java.lang.Integer,java.lang.Integer> permissionSetBits)`
`void` `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)`
`void` `setPublicationEndDatetime(java.util.Date publicationEndDatetime)`
`void` `setPublicationStartDatetime(java.util.Date publicationStartDatetime)`
`void` `setPublicationStatusInt(java.lang.Integer publicationStatusInt)`
`void` `setPublisherId(java.lang.Integer publisherId)`
`void` `setRestrictedOneMorePrivilegedThanRestrictedTwo(java.lang.Boolean restrictedOneMorePrivilegedThanRestrictedTwo)`
`void` `setRoleIdToPermissionSetIdMap(java.util.Map<java.lang.Integer,java.lang.Integer> roleRights)`
`void` `setSearchDisabled(java.lang.Boolean searchDisabled)`
`void` `setSectionIds(java.util.Set<java.lang.Integer> sectionIds)`
`void` `setTarget(java.lang.String target)`
`void` `setUnavailableI18nDataSubstitution(Meta.UnavailableI18nDataSubstitution unavailableI18nDataSubstitution)` Deprecated.
`void` `setVersion(DocumentVersion documentVersion)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Meta

    public Meta()

Method Detail

### clone

    public Meta clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### getI18nMetas

    public java.util.Set<I18nMeta> getI18nMetas()

### setI18nMetas

    public void setI18nMetas(java.util.Set<I18nMeta> i18nMetas)

### getUnavailableI18nDataSubstitution

    @Deprecated
    public Meta.UnavailableI18nDataSubstitution getUnavailableI18nDataSubstitution()

  Deprecated.

  Use getI18nShowMode instead.

### setUnavailableI18nDataSubstitution

    @Deprecated
    public void setUnavailableI18nDataSubstitution(Meta.UnavailableI18nDataSubstitution unavailableI18nDataSubstitution)

  Deprecated.

  Use setI18nShowMode instead.

### getI18nShowMode

    public Meta.UnavailableI18nDataSubstitution getI18nShowMode()

### setI18nShowMode

    public void setI18nShowMode(Meta.UnavailableI18nDataSubstitution unavailableI18nDataSubstitution)

### initI18nMetaMapping

    public void initI18nMetaMapping()

  Initializes language to i18n meta mapping.

### getI18nMeta

    public I18nMeta getI18nMeta(I18nLanguage language)

### getDocumentType

    public java.lang.Integer getDocumentType()

### setDocumentType

    public void setDocumentType(java.lang.Integer documentType)

### getCreatorId

    public java.lang.Integer getCreatorId()

### setCreatorId

    public void setCreatorId(java.lang.Integer creatorId)

### getRestrictedOneMorePrivilegedThanRestrictedTwo

    public java.lang.Boolean getRestrictedOneMorePrivilegedThanRestrictedTwo()

### setRestrictedOneMorePrivilegedThanRestrictedTwo

    public void setRestrictedOneMorePrivilegedThanRestrictedTwo(java.lang.Boolean restrictedOneMorePrivilegedThanRestrictedTwo)

### getLinkableByOtherUsers

    public java.lang.Boolean getLinkableByOtherUsers()

### setLinkableByOtherUsers

    public void setLinkableByOtherUsers(java.lang.Boolean linkableByOtherUsers)

### getLinkedForUnauthorizedUsers

    public java.lang.Boolean getLinkedForUnauthorizedUsers()

### setLinkedForUnauthorizedUsers

    public void setLinkedForUnauthorizedUsers(java.lang.Boolean linkedForUnauthorizedUsers)

### getLanguageIso639_2

    public java.lang.String getLanguageIso639_2()

### setLanguageIso639_2

    public void setLanguageIso639_2(java.lang.String languageIso639_2)

### getCreatedDatetime

    public java.util.Date getCreatedDatetime()

### setCreatedDatetime

    public void setCreatedDatetime(java.util.Date createdDatetime)

### getModifiedDatetime

    public java.util.Date getModifiedDatetime()

### setModifiedDatetime

    public void setModifiedDatetime(java.util.Date modifiedDatetime)

### getActualModifiedDatetime

    public java.util.Date getActualModifiedDatetime()

### setActualModifiedDatetime

    public void setActualModifiedDatetime(java.util.Date actualModifiedDatetime)

### getSearchDisabled

    public java.lang.Boolean getSearchDisabled()

### setSearchDisabled

    public void setSearchDisabled(java.lang.Boolean searchDisabled)

### getTarget

    public java.lang.String getTarget()

### setTarget

    public void setTarget(java.lang.String target)

### getArchivedDatetime

    public java.util.Date getArchivedDatetime()

### setArchivedDatetime

    public void setArchivedDatetime(java.util.Date archivedDatetime)

### getPublisherId

    public java.lang.Integer getPublisherId()

### setPublisherId

    public void setPublisherId(java.lang.Integer publisherId)

### getPublicationStatusInt

    public java.lang.Integer getPublicationStatusInt()

### setPublicationStatusInt

    public void setPublicationStatusInt(java.lang.Integer publicationStatusInt)

### getPublicationStartDatetime

    public java.util.Date getPublicationStartDatetime()

### setPublicationStartDatetime

    public void setPublicationStartDatetime(java.util.Date publicationStartDatetime)

### getPublicationEndDatetime

    public java.util.Date getPublicationEndDatetime()

### setPublicationEndDatetime

    public void setPublicationEndDatetime(java.util.Date publicationEndDatetime)

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

### setProperties

    public void setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

### getCategoryIds

    public java.util.Set<java.lang.Integer> getCategoryIds()

### setCategoryIds

    public void setCategoryIds(java.util.Set<java.lang.Integer> categoryIds)

### getSectionIds

    public java.util.Set<java.lang.Integer> getSectionIds()

### setSectionIds

    public void setSectionIds(java.util.Set<java.lang.Integer> sectionIds)

### getRoleIdToPermissionSetIdMap

    public java.util.Map<java.lang.Integer,java.lang.Integer> getRoleIdToPermissionSetIdMap()

### setRoleIdToPermissionSetIdMap

    public void setRoleIdToPermissionSetIdMap(java.util.Map<java.lang.Integer,java.lang.Integer> roleRights)

### getPermissionSetBitsMap

    public java.util.Map<java.lang.Integer,java.lang.Integer> getPermissionSetBitsMap()

### setPermissionSetBitsMap

    public void setPermissionSetBitsMap(java.util.Map<java.lang.Integer,java.lang.Integer> permissionSetBits)

### getPermissionSetBitsForNewMap

    public java.util.Map<java.lang.Integer,java.lang.Integer> getPermissionSetBitsForNewMap()

### setPermissionSetBitsForNewMap

    public void setPermissionSetBitsForNewMap(java.util.Map<java.lang.Integer,java.lang.Integer> permissionSetBitsForNew)

### getPermisionSetEx

    public java.util.Set<Meta.PermisionSetEx> getPermisionSetEx()

### setPermisionSetEx

    public void setPermisionSetEx(java.util.Set<Meta.PermisionSetEx> permisionSetEx)

### getPermisionSetExForNew

    public java.util.Set<Meta.PermisionSetEx> getPermisionSetExForNew()

### setPermisionSetExForNew

    public void setPermisionSetExForNew(java.util.Set<Meta.PermisionSetEx> docPermisionSetExForNew)

### getActivate

    public java.lang.Integer getActivate()

### setActivate

    public void setActivate(java.lang.Integer activate)

### getShowDisabledI18nDataInDefaultLanguage

    @Deprecated
    public boolean getShowDisabledI18nDataInDefaultLanguage()

  Deprecated.

### isShowDisabledI18nContentInDefaultLanguage

    public boolean isShowDisabledI18nContentInDefaultLanguage()

### getVersion

    public DocumentVersion getVersion()

### setVersion

    public void setVersion(DocumentVersion documentVersion)